Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocTh

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocThImpl

    public interface StrucDocTh

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc Th'.

The following features are supported:

- `Mixed`
- `Group`
- `Content`
- `Link Html`
- `Sub`
- `Sup`
- `Br`
- `Footnote`
- `Footnote Ref`
- `Render Multi Media`
- `Abbr`
- `Align`
- `Axis`
- `Char`
- `Charoff`
- `Colspan`
- `Headers`
- `ID`
- `Language`
- `Rowspan`
- `Scope`
- `Style Code`
- `Valign`

See Also:
  `CDAR2Package.getStrucDocTh()`

Method Summary
`java.lang.String` | `getAbbr()` Returns the value of the 'Abbr' attribute.
`AlignType5` | `getAlign()` Returns the value of the 'Align' attribute.
`java.lang.String` | `getAxis()` Returns the value of the 'Axis' attribute.
`org.eclipse.emf.common.util.EList` | `getBr()` Returns the value of the 'Br' containment reference list.
`java.lang.String` | `getChar()` Returns the value of the 'Char' attribute.
`java.lang.String` | `getCharoff()` Returns the value of the 'Charoff' attribute.
`java.lang.String` | `getColspan()` Returns the value of the 'Colspan' attribute.
`org.eclipse.emf.common.util.EList` | `getContent()` Returns the value of the 'Content' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFootnote()` Returns the value of the 'Footnote' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFootnoteRef()` Returns the value of the 'Footnote Ref' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`java.util.List` | `getHeaders()` Returns the value of the 'Headers' attribute.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`org.eclipse.emf.common.util.EList` | `getLinkHtml()` Returns the value of the 'Link Html' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`org.eclipse.emf.common.util.EList` | `getRenderMultiMedia()` Returns the value of the 'Render Multi Media' containment reference list.
`java.lang.String` | `getRowspan()` Returns the value of the 'Rowspan' attribute.
`ScopeType1` | `getScope()` Returns the value of the 'Scope' attribute.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`org.eclipse.emf.common.util.EList` | `getSub()` Returns the value of the 'Sub' containment reference list.
`org.eclipse.emf.common.util.EList` | `getSup()` Returns the value of the 'Sup' containment reference list.
`ValignType3` | `getValign()` Returns the value of the 'Valign' attribute.
`boolean` | `isSetAlign()` Returns whether the value of the '`Align`' attribute is set.
`boolean` | `isSetColspan()` Returns whether the value of the '`Colspan`' attribute is set.
`boolean` | `isSetRowspan()` Returns whether the value of the '`Rowspan`' attribute is set.
`boolean` | `isSetScope()` Returns whether the value of the '`Scope`' attribute is set.
`boolean` | `isSetValign()` Returns whether the value of the '`Valign`' attribute is set.
`void` | `setAbbr(java.lang.String value)` Sets the value of the '`Abbr`' attribute.
`void` | `setAlign(AlignType5 value)` Sets the value of the '`Align`' attribute.
`void` | `setAxis(java.lang.String value)` Sets the value of the '`Axis`' attribute.
`void` | `setChar(java.lang.String value)` Sets the value of the '`Char`' attribute.
`void` | `setCharoff(java.lang.String value)` Sets the value of the '`Charoff`' attribute.
`void` | `setColspan(java.lang.String value)` Sets the value of the '`Colspan`' attribute.
`void` | `setHeaders(java.util.List value)` Sets the value of the '`Headers`' attribute.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setRowspan(java.lang.String value)` Sets the value of the '`Rowspan`' attribute.
`void` | `setScope(ScopeType1 value)` Sets the value of the '`Scope`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.
`void` | `setValign(ValignType3 value)` Sets the value of the '`Valign`' attribute.
`void` | `unsetAlign()` Unsets the value of the '`Align`' attribute.
`void` | `unsetColspan()` Unsets the value of the '`Colspan`' attribute.
`void` | `unsetRowspan()` Unsets the value of the '`Rowspan`' attribute.
`void` | `unsetScope()` Unsets the value of the '`Scope`' attribute.
`void` | `unsetValign()` Unsets the value of the '`Valign`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTh_Mixed()`

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTh_Group()`

### getContent

    org.eclipse.emf.common.util.EList getContent()

  Returns the value of the 'Content' containment reference list. The list contents are of type `StrucDocContent`.

  If the meaning of the 'Content' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Content' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Content()`

### getLinkHtml

    org.eclipse.emf.common.util.EList getLinkHtml()

  Returns the value of the 'Link Html' containment reference list. The list contents are of type `StrucDocLinkHtml`.

  If the meaning of the 'Link Html' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Html' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_LinkHtml()`

### getSub

    org.eclipse.emf.common.util.EList getSub()

  Returns the value of the 'Sub' containment reference list. The list contents are of type `StrucDocSub`.

  If the meaning of the 'Sub' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sub' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Sub()`

### getSup

    org.eclipse.emf.common.util.EList getSup()

  Returns the value of the 'Sup' containment reference list. The list contents are of type `StrucDocSup`.

  If the meaning of the 'Sup' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sup' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Sup()`

### getBr

    org.eclipse.emf.common.util.EList getBr()

  Returns the value of the 'Br' containment reference list. The list contents are of type `StrucDocBr`.

  If the meaning of the 'Br' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Br' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Br()`

### getFootnote

    org.eclipse.emf.common.util.EList getFootnote()

  Returns the value of the 'Footnote' containment reference list. The list contents are of type `StrucDocFootnote`.

  If the meaning of the 'Footnote' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Footnote' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Footnote()`

### getFootnoteRef

    org.eclipse.emf.common.util.EList getFootnoteRef()

  Returns the value of the 'Footnote Ref' containment reference list. The list contents are of type `StrucDocFootnoteRef`.

  If the meaning of the 'Footnote Ref' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Footnote Ref' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_FootnoteRef()`

### getRenderMultiMedia

    org.eclipse.emf.common.util.EList getRenderMultiMedia()

  Returns the value of the 'Render Multi Media' containment reference list. The list contents are of type `StrucDocRenderMultiMedia`.

  If the meaning of the 'Render Multi Media' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Multi Media' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_RenderMultiMedia()`

### getAbbr

    java.lang.String getAbbr()

  Returns the value of the 'Abbr' attribute.

  If the meaning of the 'Abbr' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Abbr' attribute.
  See Also:
    `setAbbr(String)`, `CDAR2Package.getStrucDocTh_Abbr()`

### setAbbr

    void setAbbr(java.lang.String value)

  Sets the value of the '`Abbr`' attribute.

  Parameters:
    `value` - the new value of the 'Abbr' attribute.
  See Also:
    `getAbbr()`

### getAlign

    AlignType5 getAlign()

  Returns the value of the 'Align' attribute. The default value is `"left"`. The literals are from the enumeration `AlignType5`.

  If the meaning of the 'Align' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Align' attribute.
  See Also:
    `AlignType5`, `isSetAlign()`, `unsetAlign()`, `setAlign(AlignType5)`, `CDAR2Package.getStrucDocTh_Align()`

### setAlign

    void setAlign(AlignType5 value)

  Sets the value of the '`Align`' attribute.

  Parameters:
    `value` - the new value of the 'Align' attribute.
  See Also:
    `AlignType5`, `isSetAlign()`, `unsetAlign()`, `getAlign()`

### unsetAlign

    void unsetAlign()

  Unsets the value of the '`Align`' attribute.

  See Also:
    `isSetAlign()`, `getAlign()`, `setAlign(AlignType5)`

### isSetAlign

    boolean isSetAlign()

  Returns whether the value of the '`Align`' attribute is set.

  Returns:
    whether the value of the 'Align' attribute is set.
  See Also:
    `unsetAlign()`, `getAlign()`, `setAlign(AlignType5)`

### getAxis

    java.lang.String getAxis()

  Returns the value of the 'Axis' attribute.

  If the meaning of the 'Axis' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Axis' attribute.
  See Also:
    `setAxis(String)`, `CDAR2Package.getStrucDocTh_Axis()`

### setAxis

    void setAxis(java.lang.String value)

  Sets the value of the '`Axis`' attribute.

  Parameters:
    `value` - the new value of the 'Axis' attribute.
  See Also:
    `getAxis()`

### getChar

    java.lang.String getChar()

  Returns the value of the 'Char' attribute.

  If the meaning of the 'Char' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Char' attribute.
  See Also:
    `setChar(String)`, `CDAR2Package.getStrucDocTh_Char()`

### setChar

    void setChar(java.lang.String value)

  Sets the value of the '`Char`' attribute.

  Parameters:
    `value` - the new value of the 'Char' attribute.
  See Also:
    `getChar()`

### getCharoff

    java.lang.String getCharoff()

  Returns the value of the 'Charoff' attribute.

  If the meaning of the 'Charoff' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Charoff' attribute.
  See Also:
    `setCharoff(String)`, `CDAR2Package.getStrucDocTh_Charoff()`

### setCharoff

    void setCharoff(java.lang.String value)

  Sets the value of the '`Charoff`' attribute.

  Parameters:
    `value` - the new value of the 'Charoff' attribute.
  See Also:
    `getCharoff()`

### getColspan

    java.lang.String getColspan()

  Returns the value of the 'Colspan' attribute. The default value is `"1"`.

  If the meaning of the 'Colspan' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Colspan' attribute.
  See Also:
    `isSetColspan()`, `unsetColspan()`, `setColspan(String)`, `CDAR2Package.getStrucDocTh_Colspan()`

### setColspan

    void setColspan(java.lang.String value)

  Sets the value of the '`Colspan`' attribute.

  Parameters:
    `value` - the new value of the 'Colspan' attribute.
  See Also:
    `isSetColspan()`, `unsetColspan()`, `getColspan()`

### unsetColspan

    void unsetColspan()

  Unsets the value of the '`Colspan`' attribute.

  See Also:
    `isSetColspan()`, `getColspan()`, `setColspan(String)`

### isSetColspan

    boolean isSetColspan()

  Returns whether the value of the '`Colspan`' attribute is set.

  Returns:
    whether the value of the 'Colspan' attribute is set.
  See Also:
    `unsetColspan()`, `getColspan()`, `setColspan(String)`

### getHeaders

    java.util.List getHeaders()

  Returns the value of the 'Headers' attribute.

  If the meaning of the 'Headers' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Headers' attribute.
  See Also:
    `setHeaders(List)`, `CDAR2Package.getStrucDocTh_Headers()`

### setHeaders

    void setHeaders(java.util.List value)

  Sets the value of the '`Headers`' attribute.

  Parameters:
    `value` - the new value of the 'Headers' attribute.
  See Also:
    `getHeaders()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocTh_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocTh_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getRowspan

    java.lang.String getRowspan()

  Returns the value of the 'Rowspan' attribute. The default value is `"1"`.

  If the meaning of the 'Rowspan' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rowspan' attribute.
  See Also:
    `isSetRowspan()`, `unsetRowspan()`, `setRowspan(String)`, `CDAR2Package.getStrucDocTh_Rowspan()`

### setRowspan

    void setRowspan(java.lang.String value)

  Sets the value of the '`Rowspan`' attribute.

  Parameters:
    `value` - the new value of the 'Rowspan' attribute.
  See Also:
    `isSetRowspan()`, `unsetRowspan()`, `getRowspan()`

### unsetRowspan

    void unsetRowspan()

  Unsets the value of the '`Rowspan`' attribute.

  See Also:
    `isSetRowspan()`, `getRowspan()`, `setRowspan(String)`

### isSetRowspan

    boolean isSetRowspan()

  Returns whether the value of the '`Rowspan`' attribute is set.

  Returns:
    whether the value of the 'Rowspan' attribute is set.
  See Also:
    `unsetRowspan()`, `getRowspan()`, `setRowspan(String)`

### getScope

    ScopeType1 getScope()

  Returns the value of the 'Scope' attribute. The default value is `"row"`. The literals are from the enumeration `ScopeType1`.

  If the meaning of the 'Scope' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope' attribute.
  See Also:
    `ScopeType1`, `isSetScope()`, `unsetScope()`, `setScope(ScopeType1)`, `CDAR2Package.getStrucDocTh_Scope()`

### setScope

    void setScope(ScopeType1 value)

  Sets the value of the '`Scope`' attribute.

  Parameters:
    `value` - the new value of the 'Scope' attribute.
  See Also:
    `ScopeType1`, `isSetScope()`, `unsetScope()`, `getScope()`

### unsetScope

    void unsetScope()

  Unsets the value of the '`Scope`' attribute.

  See Also:
    `isSetScope()`, `getScope()`, `setScope(ScopeType1)`

### isSetScope

    boolean isSetScope()

  Returns whether the value of the '`Scope`' attribute is set.

  Returns:
    whether the value of the 'Scope' attribute is set.
  See Also:
    `unsetScope()`, `getScope()`, `setScope(ScopeType1)`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocTh_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

### getValign

    ValignType3 getValign()

  Returns the value of the 'Valign' attribute. The default value is `"top"`. The literals are from the enumeration `ValignType3`.

  If the meaning of the 'Valign' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Valign' attribute.
  See Also:
    `ValignType3`, `isSetValign()`, `unsetValign()`, `setValign(ValignType3)`, `CDAR2Package.getStrucDocTh_Valign()`

### setValign

    void setValign(ValignType3 value)

  Sets the value of the '`Valign`' attribute.

  Parameters:
    `value` - the new value of the 'Valign' attribute.
  See Also:
    `ValignType3`, `isSetValign()`, `unsetValign()`, `getValign()`

### unsetValign

    void unsetValign()

  Unsets the value of the '`Valign`' attribute.

  See Also:
    `isSetValign()`, `getValign()`, `setValign(ValignType3)`

### isSetValign

    boolean isSetValign()

  Returns whether the value of the '`Valign`' attribute is set.

  Returns:
    whether the value of the 'Valign' attribute is set.
  See Also:
    `unsetValign()`, `getValign()`, `setValign(ValignType3)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD